Bug Hunting Session
Bug 93546 - Need way to hard disable any OpenGL usage / probing etc.
Summary: Need way to hard disable any OpenGL usage / probing etc.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.2
Keywords:
Depends on: 93547
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-08-20 15:12 UTC by Michael Meeks
Modified: 2016-02-11 17:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Registry Fragment to lock-down OpenGL. (291 bytes, text/plain)
2015-08-21 08:23 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-20 15:12:33 UTC
We should add a registry key (ideally in the nice lock-down space) that allows GL to be disabled by merging a registry fragment easily.

We should prepare such a registry fragment and make it easily accessible for average mom & pop users. We should also scan our config directory for a file with 'GL' and 'disable' in it case insensitively.

It should stop any GL methods from being invoked such that the UI can be brought up even with pathologically bad drivers.
Comment 1 Michael Meeks 2015-08-21 07:09:08 UTC
Back-port user registry key integration to -5-0
    https://gerrit.libreoffice.org/17884
Comment 2 Michael Meeks 2015-08-21 08:22:21 UTC
Important patch to stop the UI crashing as we try to set readonly config properties here:

https://gerrit.libreoffice.org/17887

Please don't test on a build without that included. With that merged, I will attach a .reg file we can broadcast to people with this problem on Windows.
Comment 3 Michael Meeks 2015-08-21 08:23:12 UTC
Created attachment 118060 [details]
Registry Fragment to lock-down OpenGL.

Hopefully this makes it easy for people to turn this thing off.
Comment 4 Michael Meeks 2015-08-21 08:23:32 UTC
Fixed; of course pending -5-0 merging etc.
Comment 5 Commit Notification 2015-08-21 08:52:56 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b8812e7ad17957d8982095a37e489b8455a9bda&h=libreoffice-5-0

tdf#93546 -Add HKEY_CURRENT_USER registry integration.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jean-Baptiste Faure 2016-02-11 05:15:57 UTC
Could it be possible / useful to add this registry modification in the repair section of the MS-Windows installer ? As end-user may fear to modify the registry, I think it would be easier for the end-user to apply this change by using the LO installer.

Best regards. JBF
Comment 7 Michael Meeks 2016-02-11 10:43:18 UTC
Sure - everything is possible; though I've no idea what code is triggered in that repair flow - would need someone else to write this; we're focused on fixing the issues ...
Comment 8 pierre-yves samyn 2016-02-11 17:19:54 UTC
Hi Jean-Baptiste, all

(In reply to Jean-Baptiste Faure from comment #6)
> Could it be possible / useful to add this registry modification in the
> repair section of the MS-Windows installer ?

Upon reflection, it seems to me that it would be more consistent with the habits to add this as an optional component of a custom installation.

AFAIK the Repair utility is used to repair what has already been installed and has been corrupted.

Here it is to add keys to the registry...

Best regards
Pirre-Yves